Wednesday, May 11, 2011

Metasploit Framework Installation on Nokia N900


8:41 PM |

Upgrade to the latest OS release, enable the maemo-devel and maemo-testing repositories, install the rootsh package, open a root shell in the terminal, and run:
# apt-get install ruby1.8 irb1.8 rdoc1.8 libopenssl-ruby1.8 subversion
Download the latest RubyGems release from http://www.rubygems.org/ and install it
# tar zxvf rubygems-1.X.X
# cd rubygems-1.X.X
# ruby1.8 setup.rb
Extract the latest Metasploit Framework release into /home/user/msf3 (or use SVN to check a copy out). Launch the console with the following command:
# ruby1.8 /home/user/msf3/msfconsole -L

Leave A Comment